autoconf generator b=375219 r=preed
authorrhelmer@mozilla.com
Sun, 25 Mar 2007 15:00:45 -0700
changeset 83 bf91925580956c7c4032ee54a593bcd06b6850bf
parent 82 1d01f5a06b97bad9e81279b32c5aef3d7f35cfbe
child 84 0ab8e74fea028b4a223ba771407538cd9d9a7134
push idunknown
push userunknown
push dateunknown
reviewerspreed
bugs375219
milestone1.9a3pre
autoconf generator b=375219 r=preed
tools/build/README
tools/build/sync-configure
--- a/tools/build/README
+++ b/tools/build/README
@@ -3,16 +3,22 @@ mozilla/tools/build
 
 This directory is for tools that facilitate the building of 
 the mozilla source code (the browser, the sdks, etc.).
 
 
 Table of Contents
 =================
 
+* sync-all-configures
+  Run from cron to generate configure on all desired branches.
+
+* sync-configure
+  Current script to generate configure from configure.in and check in.
+
 * gnome-tip-nightly
    A tcsh shell script to pull and build gnome packages from
    the gnome anonymous cvs server. This is useful for keeping
    the toolkits needed to build mozilla on unix up to date.
    Typical usage for mozilla prereq building:
       gnome-tip-nightly gtk+ /builds/gnome /usr/local --with-threads=posix
       gnome-tip-nightly glib /builds/gnome /usr/local --with-threads=posix
 
new file mode 100755
--- /dev/null
+++ b/tools/build/sync-configure
@@ -0,0 +1,36 @@
+#!/bin/sh -x
+
+# 3/3/03 - Now Runs on bawb as cltbld
+# 5/1/03 - Now Runs on branch as cltbld
+# 2003/02/24 - Now runs on egg as cltbld
+
+# Autoconf ***must*** be 2.13.
+AC="/usr/bin/autoconf-2.13"
+CVS="/usr/bin/cvs"
+CVSROOT='cltbld@cvs.mozilla.org:/cvsroot'
+CVS_RSH=ssh
+PATH="/usr/bin:/bin:/usr/local/bin:/usr/sbin:/usr/bsd:/sbin:/usr/bin:/bin:/usr/etc:/usr/ucb"
+TDIR="/tmp/c-s.$$"
+HOST=`/bin/hostname`
+
+export CVSROOT CVS_RSH PATH
+
+rm -rf ${TDIR}
+mkdir ${TDIR}
+cd ${TDIR}
+
+${CVS} -q checkout mozilla/configure.in mozilla/configure mozilla/build/autoconf mozilla/aclocal.m4
+
+cd mozilla
+${AC} -l build/autoconf
+
+${CVS} diff configure >/dev/null 2>&1
+if test "$?" != "0"
+then
+	${CVS} commit -m"Automated update from host $HOST" configure
+fi
+
+cd /tmp
+rm -rf ${TDIR}
+exit 0
+